Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal
Class ReferenceBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
              org.eclipse.gemini.blueprint.config.internal.ReferenceBeanDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  BlueprintReferenceBeanDefinitionParser

    public class ReferenceBeanDefinitionParser

extends AbstractReferenceDefinitionParser

<osgi:reference> element parser.

Author:
  Andy Piper, Costin Leau

Field Summary
`protected static String` | `TIMEOUT`

Fields inherited from class org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
`GENERATED_REF, PROMOTED_REF`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`ReferenceBeanDefinitionParser()`

Method Summary
`protected void` | `applyDefaultTimeout(org.springframework.beans.factory.support.BeanDefinitionBuilder builder, OsgiDefaultsDefinition defaults)` Apply default definitions to the existing bean definition.
`protected Class` | `getBeanClass(Element element)` Indicate the bean definition class for this element.
`protected void` | `parseAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks, OsgiDefaultsDefinition defaults)` Allow subclasses to add their own callbacks.

Methods inherited from class org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
`applyDefaultCardinality, applyDefaults, doParse, generateBeanName, getListenerElementName, handleNestedDefinition, parseInterfaces, parseInternal, parseListeners, parseNestedElements, parsePropertySetElement, parsePropertySubElement, postProcessListenerDefinition, resolveDefaults`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIMEOUT

    protected static final String TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### ReferenceBeanDefinitionParser

    public ReferenceBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractReferenceDefinitionParser`
  Indicate the bean definition class for this element.

  Specified by:
    `getBeanClass` in class `AbstractReferenceDefinitionParser`
  Returns:

### parseAttributes

    protected void parseAttributes(Element element,
                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                   AttributeCallback[] callbacks,
                                   OsgiDefaultsDefinition defaults)

  Description copied from class: `AbstractReferenceDefinitionParser`
  Allow subclasses to add their own callbacks.

  Overrides:
    `parseAttributes` in class `AbstractReferenceDefinitionParser`

### applyDefaultTimeout

    protected void applyDefaultTimeout(org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                       OsgiDefaultsDefinition defaults)

  Apply default definitions to the existing bean definition. In this case, it means applying the timeout. This method is called when a certain expected element is not present.

  Parameters:
    `element` -
    `context` -
    `builder` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.